Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 59787)
+++ channels/chan_sip.c	(working copy)
@@ -16954,6 +16954,13 @@
 		memset(&p->vredirip, 0, sizeof(p->vredirip));
 		changed = 1;
 	}
+	/* don't try to setup an early bridge with codecs not supported by the caller */
+	if ((p->capability & codecs) != p->capability)
+	{
+		p->jointcapability &= codecs;
+		p->capability &= codecs;
+		changed = 1;
+	}
 	if (codecs && (p->redircodecs != codecs)) {
 		p->redircodecs = codecs;
 		changed = 1;
